@mixin digi-form-file-upload--variables {
	--digi--form-file-upload--color--background--primary--default: var(--digi--color--background--secondary);
	--digi--form-file-upload--color--background--primary--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--background--secondary--default: var(--digi--color--background--secondary);
	--digi--form-file-upload--color--background--secondary--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--background--tertiary--default: var(--digi--color--background--secondary);
	--digi--form-file-upload--color--background--tertiary--hover: var(--digi--global--color--cta--hover--base);

	--digi--form-file-upload--color--border--primary--default: var(--digi--global--color--neutral--grayscale--darkest);
	--digi--form-file-upload--color--border--primary--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--border--secondary--default: var(--digi--global--color--neutral--grayscale--darkest);
	--digi--form-file-upload--color--border--secondary--hover: var(--digi--global--color--cta--hover--base);
	--digi--form-file-upload--color--border--tertiary--default: var(--digi--global--color--neutral--grayscale--darkest);
	--digi--form-file-upload--color--border--tertiary--hover: var(--digi--global--color--cta--hover--base);

	--digi--form-file-upload--border-width--primary--default: var(--digi--border-width--secondary);
	--digi--form-file-upload--border-width--primary--hover: var(--digi--border-width--primary);
	--digi--form-file-upload--border-width--secondary--default: var(--digi--border-width--secondary);
	--digi--form-file-upload--border-width--secondary--hover: var(--digi--border-width--primary);
	--digi--form-file-upload--border-width--tertiary--default: var(--digi--border-width--secondary);
	--digi--form-file-upload--border-width--tertiary--hover: var(--digi--border-width--primary);

	--digi--form-file-upload--border-style--primary--default: solid;
	--digi--form-file-upload--border-style--secondary--default: dashed;
	--digi--form-file-upload--border-style--tertiary--default: dashed;

	--digi--form-file-upload--border-radius--primary--default: var(--digi--border-radius--secondary);
	--digi--form-file-upload--border-radius--secondary--default: var(--digi--border-radius--secondary);
	--digi--form-file-upload--border-radius--tertiary--default: var(--digi--border-radius--secondary);

	--digi--form-file-upload--padding--primary: var(--digi--gutter--medium) var(--digi--gutter--largest);
	--digi--form-file-upload--padding--secondary: var(--digi--gutter--largest) var(--digi--gutter--largest);
	--digi--form-file-upload--padding--tertiary: var(--digi--gutter--largest) var(--digi--gutter--largest-3);

	--digi--form-file-upload--font-size--small: var(--digi--global--typography--font-size--small);
	--digi--form-file-upload--font-size--medium: var(--digi--global--typography--font-size--base);
	--digi--form-file-upload--font-size--large: var(--digi--global--typography--font-size--large);

	--digi--form-file-upload--heading--font-family: var(--digi--global--typography--font-family--default);
	--digi--form-file-upload--heading--font-weight: var(--digi--typography--heading-4--font-weight--desktop);
	--digi--form-file-upload--heading--font-size: var(--digi--typography--heading-4--font-size--desktop);
	--digi--form-file-upload--heading--font-size--large: var(--digi--typography--heading-4--font-size--desktop-large);

	--digi--form-file-upload--font-family: var(--digi--global--typography--font-family--default);
	--digi--form-file-upload--font-weight: var(--digi--typography--form-file-upload--font-weight--desktop);

	--digi--form-file-upload--button-text--color--default: var(--digi--global--color--cta--link--base);
	--digi--form-file-upload--button-text--color--hover: var(--digi--global--color--function--info--light);

	--digi--form-file-upload--width--primary: max-content;
	--digi--form-file-upload--width--secondary: 300px;
	--digi--form-file-upload--width--tertiary: 100%;
}

/** Do not touch! Autogenerated 
* @prop --digi--form-file-upload--color--background--primary--default: var(--digi--color--background--secondary);
* @prop --digi--form-file-upload--color--background--primary--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--background--secondary--default: var(--digi--color--background--secondary);
* @prop --digi--form-file-upload--color--background--secondary--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--background--tertiary--default: var(--digi--color--background--secondary);
* @prop --digi--form-file-upload--color--background--tertiary--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--border--primary--default: var(--digi--global--color--neutral--grayscale--darkest);
* @prop --digi--form-file-upload--color--border--primary--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--border--secondary--default: var(--digi--global--color--neutral--grayscale--darkest);
* @prop --digi--form-file-upload--color--border--secondary--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--color--border--tertiary--default: var(--digi--global--color--neutral--grayscale--darkest);
* @prop --digi--form-file-upload--color--border--tertiary--hover: var(--digi--global--color--cta--hover--base);
* @prop --digi--form-file-upload--border-width--primary--default: var(--digi--border-width--secondary);
* @prop --digi--form-file-upload--border-width--primary--hover: var(--digi--border-width--primary);
* @prop --digi--form-file-upload--border-width--secondary--default: var(--digi--border-width--secondary);
* @prop --digi--form-file-upload--border-width--secondary--hover: var(--digi--border-width--primary);
* @prop --digi--form-file-upload--border-width--tertiary--default: var(--digi--border-width--secondary);
* @prop --digi--form-file-upload--border-width--tertiary--hover: var(--digi--border-width--primary);
* @prop --digi--form-file-upload--border-style--primary--default: solid;
* @prop --digi--form-file-upload--border-style--secondary--default: dashed;
* @prop --digi--form-file-upload--border-style--tertiary--default: dashed;
* @prop --digi--form-file-upload--border-radius--primary--default: var(--digi--border-radius--secondary);
* @prop --digi--form-file-upload--border-radius--secondary--default: var(--digi--border-radius--secondary);
* @prop --digi--form-file-upload--border-radius--tertiary--default: var(--digi--border-radius--secondary);
* @prop --digi--form-file-upload--padding--primary: var(--digi--gutter--medium) var(--digi--gutter--largest);
* @prop --digi--form-file-upload--padding--secondary: var(--digi--gutter--largest) var(--digi--gutter--largest);
* @prop --digi--form-file-upload--padding--tertiary: var(--digi--gutter--largest) var(--digi--gutter--largest-3);
* @prop --digi--form-file-upload--font-size--small: var(--digi--global--typography--font-size--small);
* @prop --digi--form-file-upload--font-size--medium: var(--digi--global--typography--font-size--base);
* @prop --digi--form-file-upload--font-size--large: var(--digi--global--typography--font-size--large);
* @prop --digi--form-file-upload--heading--font-family: var(--digi--global--typography--font-family--default);
* @prop --digi--form-file-upload--heading--font-weight: var(--digi--typography--heading-4--font-weight--desktop);
* @prop --digi--form-file-upload--heading--font-size: var(--digi--typography--heading-4--font-size--desktop);
* @prop --digi--form-file-upload--heading--font-size--large: var(--digi--typography--heading-4--font-size--desktop-large);
* @prop --digi--form-file-upload--font-family: var(--digi--global--typography--font-family--default);
* @prop --digi--form-file-upload--font-weight: var(--digi--typography--form-file-upload--font-weight--desktop);
* @prop --digi--form-file-upload--button-text--color--default: var(--digi--global--color--cta--link--base);
* @prop --digi--form-file-upload--button-text--color--hover: var(--digi--global--color--function--info--light);
* @prop --digi--form-file-upload--width--primary: max-content;
* @prop --digi--form-file-upload--width--secondary: 300px;
* @prop --digi--form-file-upload--width--tertiary: 100%;
*/